sprintf
Prev | String Conversions | Next

## Name

sprintf — Format a string and place it in a buffer

## Synopsis

`int sprintf (` | char * | buf,
| const char * | fmt,
|  | ...`)`;

## Arguments

`buf`

  The buffer to place the result into

`fmt`

  The format string to use @...: Arguments for the format string

`...`

  variable arguments

## Description

The function returns the number of characters written into `buf`. Use `snprintf` or `scnprintf` in order to avoid buffer overflows.

Prev | Up | Next
vsprintf | Home | vsscanf